Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 97077 - Handbook section 5b/choosing a stage tarball: not obvious which architecture/stage best for Pentium M
Summary: Handbook section 5b/choosing a stage tarball: not obvious which architecture...
Status: RESOLVED WONTFIX
Alias: None
Product: [OLD] Docs-user
Classification: Unclassified
Component: Handbook (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Docs Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-25 16:19 UTC by Mark Hessler
Modified: 2005-07-02 04:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hessler 2005-06-25 16:19:23 UTC
Clarification request.  The obvious choice of architecture/stage tarball for a
the Pentium M is 'x86', but clarification whether 'pentium 4' might apply to
mobile processors would inspire confidence to newbies choosing a stage tarball.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 SpanKY gentoo-dev 2005-06-25 16:21:45 UTC
pentium4 stages are incorrect for many pentium m's

best to say pentium3
Comment 2 Jonathan Smith (RETIRED) gentoo-dev 2005-06-25 16:25:11 UTC
imho everyone should know what their processor is compatable with... celerons
aren't mentioned either, but from the instruction sets, i know it is ok to use
-march=pentium4

i vote wontfix
Comment 3 SpanKY gentoo-dev 2005-06-25 16:27:07 UTC
using march=pentium4 for all celerons is wrong too ... there are celerons based
off of the pentium 3

we could add a link to wikipedia's page about pentiums so users can figure it
out themselves rather than having to duplicate the different stuff
Comment 4 Jonathan Smith (RETIRED) gentoo-dev 2005-06-25 16:29:25 UTC
(In reply to comment #3)
> using march=pentium4 for all celerons is wrong too ... there are celerons based
> off of the pentium 3

you are correct; what i meant to say was that it was ok to use -march=pentium4
for _my_ celeron
Comment 5 Sven Vermeulen (RETIRED) gentoo-dev 2005-06-26 00:30:06 UTC
Too many CPUs; enlisting them would create another maintenance burden afaik.
Rather have everyone use x86 and, if they know of the better subarch, use that.
Comment 6 SpanKY gentoo-dev 2005-06-26 01:02:31 UTC
right, which is why we should just create some external links to wikipedia and
let the user do the rest ...
Comment 7 Sven Vermeulen (RETIRED) gentoo-dev 2005-06-26 01:21:11 UTC
Aren't there some more official docs? On the GNU GCC website perhaps?
Comment 8 SpanKY gentoo-dev 2005-06-26 01:56:39 UTC
the gcc tex docs maybe, but those are somewhat hard to understand for many
people let alone newbies
Comment 9 Jan Kundrát (RETIRED) gentoo-dev 2005-06-27 02:00:32 UTC
(In reply to comment #3) 
> there are celerons based off of the pentium 3 
 
...and also of the pentium 2. 
 
Comment 10 Sven Vermeulen (RETIRED) gentoo-dev 2005-07-02 04:57:42 UTC
Please see http://www.gentoo.org/doc/en/faq.xml#cpus for more information.